<?php

if ( ! defined( 'ABSPATH' ) ) {	exit; }

function financraft_brand_shortcode( $atts, $content = null ){
    extract(shortcode_atts(array(
        'brands' => '',
		'desktop_count' => '6',
		'tablet_count' => '3',
		'mobile_count' => '2',
		'loop' => 'true',
		'autoplay' => 'false',
		'autoplaytimeout' => '5000',
    ), $atts));
    
     $brand_items = explode(',', $brands);
    $brand_logo_markup = '
        <script>
            jQuery(window).load(function(){
                    jQuery("#brand-carosule-area").owlCarousel({
                        margin: 30,
                        loop: ' . esc_attr($loop) . ',
                        autoplay: ' . esc_attr($autoplay) . ',
                        autoplaytimeout: ' . esc_attr($autoplaytimeout) . ',
                        nav: false,
                        dots: false,
                        smartSpeed: 800,
                        navText:["<i class=\'fa fa-angle-left\'></i>", "<i class=\'fa fa-angle-right\'></i>"],

                        responsive: {
                            0: {
                                items: ' . esc_attr($mobile_count) . ',
                            },
                            600: {
                                items: ' . esc_attr($tablet_count) . ',
                            }, 
                            1000: {
                                items: ' . esc_attr($desktop_count) . ',
                            }

                        }


                    });
                });
        </script>
    ';
    $brand_logo_markup .='
        <div id="brand-carosule-area">';
            foreach($brand_items as $item){
                $brand_image = wp_get_attachment_image_src($item, 'large');
                   $brand_logo_markup .='
                    <div class="brand-item">
                        <div class="brand-item-table">
                            <div class="brand-item-table-cell">
                                <img src="'.esc_url($brand_image[0]).'" alt="">
                            </div>
                        </div>
                    </div>
                    '; 
                }
           
    
    $brand_logo_markup .='
        </div>
    ';
    return $brand_logo_markup;
}
add_shortcode('brand_shortcode', 'financraft_brand_shortcode');