<?php
if ( ! defined( 'ABSPATH' ) ) {	exit; }

function financraft_casestudies_shortcode( $atts, $content = null ){
    extract( shortcode_atts(array(
		'count' => '-1',
        'filter' => '2',
        'filter_position' => '3',
        'case_order' => 'ASC',
	), $atts) );    
       
    $case_studie_categories = get_terms('case_studie_cat');
    $dynamic_number = rand(548974564, 54545646);   
    if($filter_position == 1){
        $filter_pos = 'text-right';
    }else if($filter_position == 2){
        $filter_pos = 'text-left';
    }else{
        $filter_pos = 'text-center';
    }
    
    $financraft_casestudies_merkup = '
        
        <script>
            jQuery(document).ready(function($){
                $(".casestudies-filter ul li").click(function(){
                    $(".casestudies-filter ul li").removeClass("active");
                    $(this).addClass("active");
                    
                    var selector = $(this).attr("data-filter");
                    $(".casestudies-list-'.esc_attr($dynamic_number).'").isotope({
                        filter:selector,
                        transitionDuration:"1s"
                    });
                });
            });
            jQuery(window).load(function(){
                jQuery(".casestudies-list-'.esc_attr($dynamic_number).'").isotope();
            });
        </script>';
        if($filter != 1){            
            $financraft_casestudies_merkup .='
                   <div class="row">
                       <div class="col-lg-12">
                           <div class="casestudies-filter '.esc_attr($filter_pos).'">
                               <ul>
                                   <li class="active" data-filter="*">All</li>';

                                   if(!empty($case_studie_categories) && ! is_wp_error($case_studie_categories)){
                                       foreach($case_studie_categories as $category){
                                          $financraft_casestudies_merkup .='
                                          <li data-filter=".'.esc_attr($category->slug).'">'.esc_attr($category->name).'</li>'; 
                                       }

                                   }

                            $financraft_casestudies_merkup .='
                               </ul>
                           </div>
                       </div>
                   </div>
               ';
        }
        
    
    $financraft_casestudies_merkup .='
       <div class="row casestudies-list-'.esc_attr($dynamic_number).'">';
            $casestudies_array = new WP_Query(array(
                'posts_per_page' => $count,
                'post_type' => 'casestudy',
                'order' =>$case_order
            ));
            while($casestudies_array->have_posts()): $casestudies_array->the_post();
            $idd = get_the_ID();            
            $case_studie_category = get_the_terms(get_the_id(), 'case_studie_cat');
    
            if($case_studie_category && ! is_wp_error($case_studie_category)){
                $case_studie_cat_list = array();
                foreach($case_studie_category as $category){
                    $case_studie_cat_list[] = $category->slug;
                }
                $case_studie_cat_assigned_list = join( ", ", $case_studie_cat_list );
            }else{
                $case_studie_cat_assigned_list = '';
            }
            $financraft_casestudies_merkup .='
                <div class="col-lg-4 '.esc_attr($case_studie_cat_assigned_list).'">
                    <div class="single-casestudies-box">
                        <div class="casestudy-bg" style="background-image:url('.esc_url(get_the_post_thumbnail_url($idd, 'large')).')"></div>
                        <div class="casestudies-overlay">
                            <h3>'.esc_html(get_the_title($idd)).'</h3>
                            <div class="casestudy-info">
                                '.get_the_excerpt().'
                            </div>
                        </div>
                        <a class="case-link" href="'.get_permalink().'"></a>
                    </div> 
                </div>
            ';  
            endwhile;
            wp_reset_query();
    $financraft_casestudies_merkup .='        
       </div>
    ';
    return $financraft_casestudies_merkup;
    
}
add_shortcode('financraft_casestudies', 'financraft_casestudies_shortcode');