<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly

}
vc_map(array(
	"name" => esc_html__("Slider Addon", "financraft-package") ,
	"base" => "slider_shortcode",    
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/slider.png',
	"category" => esc_html__("Financraft", "financraft-package") ,
	"params" => array(

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Slides count", "financraft-package") ,
			"param_name" => "count",
			"std" => esc_attr__("3", "financraft-package") ,
			"value" => array(
				'1' => '1',
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6',
				'7' => '7',
				'8' => '8',
				'9' => '9',
				esc_html__("Unlimited", "financraft-package") => '-1',
			) ,
			"description" => esc_html__("How many slide you want to show?", "financraft-package")
		) ,

		array(
			"type" => "textfield",
			"heading" => esc_html__("Height", "financraft-package") ,
			"param_name" => "height",
			"default" => esc_attr__("750", "financraft-package") ,
			"description" => esc_html__("Type slider height in number.", "financraft-package") ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Select slide", "financraft-package") ,
			"param_name" => "slide_id",
			"value" => financraft_slider_get_slider_list() ,
			"description" => esc_html__("Click here if you dont know slide ID.", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"1"
				) ,
			)
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Loop", "financraft-package") ,
			"param_name" => "loop",
			"std" => esc_html__("true", "financraft-package") ,
			"value" => array(
				"Yes" => "true",
				"No" => "false",
			) ,
			"description" => esc_html__("Enable loop or not", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"2",
					"3",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"-1"
				) ,
			) ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Autoplay", "financraft-package") ,
			"param_name" => "autoplay",
			"std" => esc_html__("false", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"description" => esc_html__("Select Autoplay", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"2",
					"3",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"-1"
				) ,
			) ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Slide Time", "financraft-package") ,
			"param_name" => "autoplayTimeout",
			"std" => esc_html__("4000", "financraft-package") ,
			"value" => array(
				esc_html__("1 Second", "financraft-package") => "1000",
				esc_html__("2 Second", "financraft-package") => "2000",
				esc_html__("3 Second", "financraft-package") => "3000",
				esc_html__("4 Second", "financraft-package") => "4000",
				esc_html__("5 Second", "financraft-package") => "5000",
				esc_html__("6 Second", "financraft-package") => "6000",
				esc_html__("7 Second", "financraft-package") => "7000",
				esc_html__("8 Second", "financraft-package") => "8000",
				esc_html__("9 Second", "financraft-package") => "9000",
				esc_html__("10 Second", "financraft-package") => "10000",
			) ,
			"description" => esc_html__("Select Slide Time", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"2",
					"3",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"-1"
				) ,
			)
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Enable Nav?", "financraft-package") ,
			"param_name" => "nav",
			"std" => esc_html__("false", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"description" => esc_html__("Select Nav Arrows", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"2",
					"3",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"-1"
				) ,
			) ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Enable Dots?", "financraft-package") ,
			"param_name" => "dots",
			"std" => esc_html__("true", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"description" => esc_html__("Select Dot Circles", "financraft-package") ,
			"dependency" => array(
				"element" => "count",
				"value" => array(
					"2",
					"3",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"-1"
				) ,
			)
		) ,

	)
));
