<?php

if( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

vc_map( array(
    "name" => esc_html__( "Testimonial", "financraft-package" ),
    "base" => "testimonial_shortcode",
	"icon" => FINANCRAFT_ACC_URL . '/assets/img/quotation.png',
    "category" => esc_html__( "Financraft", "financraft-package" ),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Count", "financraft-package" ),
            "param_name" => "count",
            "std" => esc_html__( "-1", "financraft-package" ),
            "description" => esc_html__( "Select how many items You want to show. Type -1 for unlimited items.", "financraft-package" ),
         ),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Autoplay", "financraft-package") ,
			"param_name" => "autoplay",
			"std" => esc_html__("false", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"1", "2"
				) ,
			) ,
			"description" => esc_html__("Select Autoplay", "financraft-package")
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Item Slide Time", "financraft-package") ,
			"param_name" => "autoplay_time",
			"std" => esc_html__("5000", "financraft-package") ,
			"value" => array(
				esc_html__("1 Second", "financraft-package") => "1000",
				esc_html__("2 Second", "financraft-package") => "2000",
				esc_html__("3 Second", "financraft-package") => "3000",
				esc_html__("4 Second", "financraft-package") => "4000",
				esc_html__("5 Second", "financraft-package") => "5000",
				esc_html__("6 Second", "financraft-package") => "6000",
				esc_html__("7 Second", "financraft-package") => "7000",
				esc_html__("8 Second", "financraft-package") => "8000",
				esc_html__("9 Second", "financraft-package") => "9000",
				esc_html__("10 Second", "financraft-package") => "10000",
			) ,
			"description" => esc_html__("Select Slide Time", "financraft-package") ,
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"1", "2"
				) ,
			) ,
		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Enable Nav?", "financraft-package") ,
			"param_name" => "nav",
			"std" => esc_html__("true", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"1", "2"
				) ,
			) ,
			"description" => esc_html__("Show Nav Arrows", "financraft-package") ,

		) ,

		array(
			"type" => "dropdown",
			"heading" => esc_html__("Enable Dots?", "financraft-package") ,
			"param_name" => "dots",
			"std" => esc_html__("false", "financraft-package") ,
			"value" => array(
				esc_html__("Yes", "financraft-package") => "true",
				esc_html__("No", "financraft-package") => "false",
			) ,
			"dependency" => array(
				"element" => "type",
				"value" => array(
					"1", "2"
				) ,
			) ,
			"description" => esc_html__("Show Dot Circles", "financraft-package") ,
		) ,
    
    )
));  


