<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package financraft
 */
if(function_exists('cs_get_option')): 
    $header_social_link = cs_get_option('header_social_link');   
    $header_text = cs_get_option('header_text');   
    $header_info_box = cs_get_option('header_info_box');   
endif;
if(get_post_meta($post->ID, 'financraft_header_style_meta', true)){
    $page_meta = get_post_meta($post->ID, 'financraft_header_style_meta', true);
}else{
    $page_meta = array();
}

if(array_key_exists('financraft_header_style', $page_meta)){
    $financraft_header_style = $page_meta['financraft_header_style'];
}else{
    $financraft_header_style = 'one';
}
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
<?php
    if($financraft_header_style == 'one'){
        include get_parent_theme_file_path('inc/header/header-style-one.php');
    }elseif($financraft_header_style == 'two'){
        include get_parent_theme_file_path('inc/header/header-style-two.php');
    }else{
        include get_parent_theme_file_path('inc/header/header-style-three.php');
    }
?>