<?php

if(function_exists('cs_get_option')):
$financraft_body_font_get = cs_get_option('body_font');
$financraft_heading_font_get = cs_get_option('heading_font');

function financraft_body_gf_url() {
    $font_url = '';
    $financraft_body_font_get = cs_get_option('body_font');
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'financraft' ) ) {
        $font_url = add_query_arg( 'family', urlencode( ''.$financraft_body_font_get['family'].':300,300i,400,400i,500,500i,600,600i,700,700i,900,900i&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
    }
    return $font_url;
}

if($financraft_heading_font_get['family'] == $financraft_body_font_get['family']) {} else {
    function financraft_heading_gf_url() {
        $font_url = '';
        $financraft_heading_font_get = cs_get_option('heading_font');
        /*
        Translators: If there are characters in your language that are not supported
        by chosen font(s), translate this to 'off'. Do not translate into your own language.
         */
        
        if ( 'off' !== _x( 'on', 'Google font: on or off', 'financraft' ) ) {
            $font_url = add_query_arg( 'family', urlencode( ''.$financraft_heading_font_get['family'].':300,300i,400,400i,500,500i,600,600i,700,700i,900,900i&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
        }
        return $font_url;
    }    
}

function financraft_options_gf() {
    wp_enqueue_style( 'financraft-custom-google-fonts', financraft_body_gf_url(), array(), '1.0.0' );
    
    $financraft_body_font_get = cs_get_option('body_font');
    $financraft_heading_font_get = cs_get_option('heading_font');
    if($financraft_heading_font_get['family'] == $financraft_body_font_get['family']) {} else {
        wp_enqueue_style( 'financraft-google-heading-fonts', financraft_heading_gf_url(), array(), '1.0.0' );
    }
}
add_action( 'wp_enqueue_scripts', 'financraft_options_gf' );  

if ( ! function_exists( 'financraft_custom_css' ) ) :

function financraft_custom_css() {
	wp_enqueue_style('financraft-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css');

	
	
	$body_font = cs_get_option('body_font');
	$heading_font = cs_get_option('heading_font');
    
    $theme_primary_color = cs_get_option('theme_primary_color');
    $theme_secendry_color = cs_get_option('theme_secendry_color');
    
    $body_font_size = cs_get_option('body_font_size');
    $body_text_color = cs_get_option('body_text_color');
    
    
    $logo_color = cs_get_option('logo_color');
    $menu_font_size = cs_get_option('menu_font_size');
    $menu_bg_color = cs_get_option('menu_bg_color');
    $menu_font_color = cs_get_option('menu_font_color');
    $menu_dropdown_font_size = cs_get_option('menu_dropdown_font_size');
    $menu_dropdown_bg_color = cs_get_option('menu_dropdown_bg_color');
    $menu_dropdown_font_color = cs_get_option('menu_dropdown_font_color');
    

	$custom_css = '';
    
    if (!empty($body_font)) {
        $custom_css .= "
            body{
                font-family: {$body_font['family']};
                font-weight: {$body_font['variant']};
            }
        ";
    }

    if (!empty($heading_font)) {
        $custom_css .= "
            h1, h2, h3, h4, h5, h6{
                font-family: {$heading_font['family']};
                font-weight: {$heading_font['variant']};
            }
        ";
    }

        
    if(! empty($body_font_size)){
        $custom_css .='
            body{
                font-size: '.esc_attr($body_font_size).'px;
            }
        ';
    }
    
    if(! empty($body_text_color)){
        $custom_css .='
            body{
                color: '.esc_attr($body_text_color).';
            }
        ';
    }
    
    
    //Mainmenu CSS
    if(! empty($logo_color)){
        $custom_css .='
            .logo a{
                color:'.esc_attr($logo_color).'
            }
        ';
    }
    if(! empty($menu_font_size)){
        $custom_css .='
            .mainmenu ul li a{
                font-size:'.esc_attr($menu_font_size).'
            }
        ';
    }
    if(! empty($menu_bg_color)){
        $custom_css .='
            .main-header{
                background-color:'.esc_attr($menu_bg_color).'
            }
        ';
    }
    if(! empty($menu_font_color)){
        $custom_css .='
            .mainmenu ul li a{
                color:'.esc_attr($menu_font_color).'
            }
        ';
    }
    if(! empty($menu_dropdown_font_size)){
        $custom_css .='
            .mainmenu ul li ul li a{
                font-size:'.esc_attr($menu_dropdown_font_size).'
            }
        ';
    }
    if(! empty($menu_dropdown_bg_color)){
        $custom_css .='
            .mainmenu ul li ul{
                background-color:'.esc_attr($menu_dropdown_bg_color).'
            }
        ';
    }
    if(! empty($menu_dropdown_font_color)){
        $custom_css .='
            .mainmenu ul li ul li a{
                color:'.esc_attr($menu_dropdown_font_color).'
            }
        ';
    }
    
    //Theme Color Settings
    if(! empty($theme_primary_color)){
        $custom_css .='
            a,
button, a:hover,
button:hover, .logged-in-as, .rating i, .contact-info-box i{
color:'.esc_attr($theme_primary_color).'
}
        ';
        $custom_css .='
           .financraft-btn, .news-btn button, .tags-links a:hover, .nav-links a, .comment-form input[type="submit"], .search-form:after, .widget-area > .widget .tagcloud > [class*="tag-link-"]:hover, .financraft-preloader, .financraft-button a, .contact-form input[type="submit"], .video-popup:before, .video-popup:after, .testimonial-carosule .owl-nav div{
            background-color:'.esc_attr($theme_primary_color).'
           } 
        ';
        $custom_css .='
           input[type="text"]:focus,
input[type="url"]:focus,
input[type="email"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
textarea:focus, .tags-links a:hover, article.sticky:before, .comment-form input[type="text"]:focus, .comment-form input[type="email"]:focus, .comment-form input[type="url"]:focus, .comment-form textarea:focus{
    border-color:'.esc_attr($theme_primary_color).' !important
} 
        ';
    }    
    if(! empty($theme_secendry_color)){
        $custom_css .='
           .header-social-info a:hover{
             color:'.esc_attr($theme_secendry_color).'   
            } 
        '; 
        $custom_css .='
           .footer-two .footer-top, blockquote, article.sticky, .financraft-breadcrumb-area:after, .contact-info-box{
             background-color:'.esc_attr($theme_secendry_color).'   
            } 
        ';        
    }
    
    

	wp_add_inline_style('financraft-custom-style', $custom_css);
}
add_action('wp_enqueue_scripts', 'financraft_custom_css');

endif;
endif;
