<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package financraft
 */
if(function_exists('cs_get_option')):
    $blog_sidebar_settings = cs_get_option('blog_sidebar_settings');
endif;
get_header();
?>   
    <div class="financraft-breadcrumb-area breadcrumb-blog">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-xl-12">
                    <div class="breadcrumb-text">
                        <h1><?php  esc_html_e('Our Recent Blogs', 'financraft')?></h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="financraft-internal-area financraft-blog-internal">
        <div class="container">
            <div class="row">
              <?php if($blog_sidebar_settings == 'three'):?>              
                <?php get_sidebar();?>
              <?php endif;?>
               <div class="<?php if(!is_active_sidebar('sidebar-1') || $blog_sidebar_settings == 'one'):?>col-lg-offset-1 col-lg-10 <?php else:?> col-lg-8<?php endif;?>">
                    <?php
                    if ( have_posts() ) :

                        if ( is_home() && ! is_front_page() ) :
                            ?>
                            <header>
                                <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
                            </header>
                            <?php
                        endif;

                        /* Start the Loop */
                        while ( have_posts() ) :
                            the_post();

                            /*
                             * Include the Post-Type-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                             */
                            get_template_part( 'template-parts/content', get_post_type() );

                        endwhile;

                        financraft_posts_pagination();

                    else :

                        get_template_part( 'template-parts/content', 'none' );

                    endif;
                    ?>
                </div>
                <?php if($blog_sidebar_settings == 'two'):?>              
                <?php get_sidebar();?>
              <?php endif;?>
            </div>
        </div>
    </div>
<?php
get_footer();
