<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package financraft
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
       <?php if(has_post_thumbnail()):?>
         <div class="financraft-feature-content">
            <?php if( !is_singular()){echo'<a href="'.get_permalink().'">';}?>
                <?php the_post_thumbnail('blog-page-thumbnil');?>
            <?php if(!is_singular()){echo'</a>';}?>
        </div>
      <?php endif;?>
      <div class="entry-main">
          <header class="entry-header">
           <div class="posted-info">
               <?php financraft_posted_on(); ?>
           </div>
            <?php
            if ( 'post' === get_post_type() ) : if(!is_singular()): ?>		
             <a href="<?php the_permalink(); ?>"><h3 class="post-title"><?php the_title(); ?></h3></a>
             <?php else:?>
             <h3><?php the_title(); ?></h3>
             <?php endif;?>
            <?php
            endif; ?>
        </header><!-- .entry-header -->

        <div class="entry-content">
            <?php
            if(is_single()){
                the_content( sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'financraft' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ) );
            }else{
                the_excerpt();
                echo '<div style="clear:both"></div><a href="'.get_permalink().'" class="capitalize financraft-btn read-more-btn">'.esc_html__('Read More', 'financraft').' <i class="icofont-arrow-right"></i></a>';
            }


            wp_link_pages( array(
                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'financraft' ),
                'after'  => '</div>',
            ) );
            ?>
        </div><!-- .entry-content -->
        <?php if( is_singular()):?>
        <footer class="entry-footer">
            <?php financraft_entry_footer(); ?>
        </footer><!-- .entry-footer -->
        <?php endif;?>
      </div>
	
</article><!-- #post-<?php the_ID(); ?> -->
